# Parasol :open_umbrella: 

Clouds often rain, in such cases Parasols are essential to keeping dry :wink: :umbrella:

---

*Parasol* is creating a FOSS alternative to the JAM stack cloud computing
platform [Netlify](https://netlify.com) which makes it easy to deploy and
administer static-sites. *Parasol* aims to create a simplified user-experience
aimed at individuals and small teams such as independent webdevs and co-ops who
host websites for clients and NGOs.

**Why?**

For over a decade static-sites (aka The JAM Stack) have grown in popularity.
From early generators like Jekyll to modern Hugo and Gatsby, they are used to
create rich content websites like knowledge bases, wikis, small business sites,
and government portals. Developing static websites is trivial for experienced
developers and relatively easy for anyone who knows HTML, CSS, and JS to
customize responsive open-source themes. Content is easily edited in any text
editor as it's stored in Markdown. GUIs like Decap CMS provide a similar
user-experience to Wordpress or Drupal for less technical users.

However, there are limited options for non-technical users to deploy
static-sites to a webserver. *Parasol* addresses this need by creating an
intuitive user experience empowering non-technical users to do everything from
site generation to deployment as well as on-going edits and updates.

## Milestones

A rough pathway to creating *Parasol* is broken up into these categories.

- [1. Create UI Dashboard](https://git.coopcloud.tech/coop-cloud/parasol/milestone/40)
- [2. Minimum Deployment Recipes](https://git.coopcloud.tech/coop-cloud/parasol/milestone/41)
    - [Parasol Static Site](https://git.coopcloud.tech/coop-cloud/parasol-static-site) - builds hugo sites + webhookd listener [see #2](/coop-cloud/parasol/issues/2)
- [3. Additional Dev-ops Glue](https://git.coopcloud.tech/coop-cloud/parasol/milestone/42)
- [4. User Testing](https://git.coopcloud.tech/coop-cloud/parasol/milestone/44)

## Dependencies

Parasol is being built or heavily considering the following core components: 

- [Abra](https://docs.coopcloud.tech/abra/)
- [Decap CMS](https://decapcms.org/)
- [Codeberg Pages](https://codeberg.org/Codeberg/pages-server)
- [Netlify: Git Gateway](https://github.com/netlify/git-gateway)
- [GoTrue](https://github.com/supabase/gotrue) Supabase fork of Netlify's original
- [Netlify: Open-API](https://github.com/netlify/open-api)
- [Capsul](https://git.coopcloud.tech/coop-cloud/abra-capsul) or [Kimchi](https://codeberg.org/offline/kimchi) (possibly)
